module RubyQA::Templates
  require 'erb'
  BASE_REPORT=ERB.new(<<ERB, trim_mode: '-')
RubyQA Test Report

QA Date: <%= Time.now.strftime("%Y/%m/%d %l:%M:%S %p %Z") %>
QA Runner: <%= ENV['USER'] %>
QA Tests: <%= Manager.tests.count %>
<% Manager.tests.each do |test| -%>
- "<%= test.name %>"
<% end -%>
QA Hosts: 
<% Manager.hosts.each do |host| -%>
- <%= host.name %> (<%= host[:ip] %>)
<% end -%>

###############
# Tests Begin #
###############

<% Manager.tests.each do |test| -%>
<%= test.report %>
<% end -%>
ERB
